__gnu_cxx::__detail::__mini_vector< _Tp >(3cxx)

NAME
__gnu_cxx::__detail::__mini_vector< _Tp > - __mini_vector<> is a stripped down version of the full-fledged std::vector<>.

SYNOPSIS

#include <bitmap_allocator.h>

  Public Types

typedef const _Tp & const_reference
typedef ptrdiff_t difference_type
typedef pointer iterator
typedef _Tp * pointer
typedef _Tp & reference
typedef size_t size_type
typedef _Tp value_type

  Public Member Functions

reference back () const throw ()
iterator begin () const throw ()
void clear () throw ()
iterator end () const throw ()
void erase (iterator __pos) throw ()
void insert (iterator __pos, const_reference __x)
reference operator[] (const size_type __pos) const throw ()
void pop_back () throw ()
void push_back (const_reference __x)
size_type size () const throw ()

Detailed Description

  template<typename _Tp>
class __gnu_cxx::__detail::__mini_vector< _Tp >"__mini_vector<> is a stripped down version of the full-fledged std::vector<>.

It is to be used only for built-in types or PODs. Notable differences are:

1. Not all accessor functions are present. 2. Used ONLY for PODs. 3. No Allocator template argument. Uses operator new() to get memory, and operator delete() to free it. Caveat: The dtor does NOT free the memory allocated, so this a memory-leaking vector!

Definition at line 70 of file bitmap_allocator.h.

Member Typedef Documentation

  template<typename _Tp > typedef const _Tp& __gnu_cxx::__detail::__mini_vector< _Tp >::const_reference

Definition at line 79 of file bitmap_allocator.h.

  template<typename _Tp > typedef ptrdiff_t __gnu_cxx::__detail::__mini_vector< _Tp >::difference_type

Definition at line 81 of file bitmap_allocator.h.

  template<typename _Tp > typedef pointer __gnu_cxx::__detail::__mini_vector< _Tp >::iterator

Definition at line 82 of file bitmap_allocator.h.

  template<typename _Tp > typedef _Tp* __gnu_cxx::__detail::__mini_vector< _Tp >::pointer

Definition at line 77 of file bitmap_allocator.h.

  template<typename _Tp > typedef _Tp& __gnu_cxx::__detail::__mini_vector< _Tp >::reference

Definition at line 78 of file bitmap_allocator.h.

  template<typename _Tp > typedef size_t __gnu_cxx::__detail::__mini_vector< _Tp >::size_type

Definition at line 80 of file bitmap_allocator.h.

  template<typename _Tp > typedef _Tp __gnu_cxx::__detail::__mini_vector< _Tp >::value_type

Definition at line 76 of file bitmap_allocator.h.

Constructor & Destructor Documentation

  template<typename _Tp > __gnu_cxx::__detail::__mini_vector< _Tp >::__mini_vector () [inline]

Definition at line 106 of file bitmap_allocator.h.

Member Function Documentation

  template<typename _Tp > reference __gnu_cxx::__detail::__mini_vector< _Tp >::back () const [inline]

Definition at line 122 of file bitmap_allocator.h.

  template<typename _Tp > iterator __gnu_cxx::__detail::__mini_vector< _Tp >::begin () const [inline]

Definition at line 114 of file bitmap_allocator.h.

  template<typename _Tp > void __gnu_cxx::__detail::__mini_vector< _Tp >::clear () [inline]

Definition at line 152 of file bitmap_allocator.h.

  template<typename _Tp > iterator __gnu_cxx::__detail::__mini_vector< _Tp >::end () const [inline]

Definition at line 118 of file bitmap_allocator.h.

  template<typename _Tp > void __gnu_cxx::__detail::__mini_vector< _Tp >::erase (iterator __pos)

Definition at line 203 of file bitmap_allocator.h.

  template<typename _Tp > void __gnu_cxx::__detail::__mini_vector< _Tp >::insert (iterator __pos, const_reference __x)

Definition at line 158 of file bitmap_allocator.h.

  template<typename _Tp > reference __gnu_cxx::__detail::__mini_vector< _Tp >::operator[] (const size_type __pos) const [inline]

Definition at line 126 of file bitmap_allocator.h.

  template<typename _Tp > void __gnu_cxx::__detail::__mini_vector< _Tp >::pop_back () [inline]

Definition at line 145 of file bitmap_allocator.h.

  template<typename _Tp > void __gnu_cxx::__detail::__mini_vector< _Tp >::push_back (const_reference __x) [inline]

Definition at line 133 of file bitmap_allocator.h.

  template<typename _Tp > size_type __gnu_cxx::__detail::__mini_vector< _Tp >::size () const [inline]

Definition at line 110 of file bitmap_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.